{
  "caseType": {
    "integrity": [
      {
        "ruleName": "数据非空验证",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime": "13026",
        "checkTotalCount": "130264",
        "checkErrorCount": "689"
      },
      {
        "ruleName": "数据非空验证",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime": "1496",
        "checkTotalCount": "15621",
        "checkErrorCount": "152"
      }
    ],
    "no_integrity":[
        {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_actinst",
        "trueColumn": "act_name_",
          "tableErrorCount": "23",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_attachment",
        "trueColumn": "url_",
        "tableErrorCount": "89",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_free_audit",
        "trueColumn": "name_",
        "tableErrorCount": "56",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_ru_variable",
        "trueColumn": "name_",
        "tableErrorCount": "147",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_ru_identitylink",
        "trueColumn": "proc_inst_id_",
        "tableErrorCount": "254",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_taskinst",
        "trueColumn": "user_id_",
        "tableErrorCount": "129",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "综合服务",
        "tableName": "mdiy_config",
        "trueColumn": "config_name",
          "tableErrorCount": "56",
        "notDetail": "数据不符合标准表字段非空约束"
      },
      {
        "caseName": "数据非空验证",
        "source": "综合服务",
        "tableName": "mdiy_model",
        "trueColumn": "model_name",
        "tableErrorCount": "96",
        "notDetail": "数据不符合标准表字段非空约束"
      }
    ],
    "accuracy": [
      {
        "ruleName": "数据长度验证",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime": "14036",
        "checkTotalCount": "130264",
        "checkErrorCount": "2071"
      },
      {
        "ruleName": "数据长度验证",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime": "1698",
        "checkTotalCount": "15621",
        "checkErrorCount": "311"
      }
    ],
    "no_accuracy": [
        {
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_procdef_info",
        "trueColumn": "task_id_",
          "tableErrorCount": "145",
        "notDetail": "数据不符合标准表字段长度约束"
      },
      {
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_varinst",
        "trueColumn": "group_id_",
        "tableErrorCount": "126",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_comment",
        "trueColumn": "message_",
        "tableErrorCount": "547",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_actinst",
        "trueColumn": "full_msg_",
        "tableErrorCount": "365",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_free_audit",
        "trueColumn": "type_",
        "tableErrorCount": "259",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_detail",
        "trueColumn": "var_type_",
        "tableErrorCount": "196",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_ge_property",
        "trueColumn": "name_",
        "tableErrorCount": "246",
        "notDetail": "数据不符合标准表字段长度约束"
      },{
        "caseName": "数据长度验证",
        "source": "智瑞服务",
        "tableName": "t_wf_activity_info_config",
        "trueColumn": "idea_display_area",
        "tableErrorCount": "187",
        "notDetail": "数据不符合标准表字段长度约束"
      },
      {
        "caseName": "数据长度验证",
        "source": "综合服务",
        "tableName": "mdiy_model",
        "trueColumn": "model_custom_type",
        "tableErrorCount": "126",
        "notDetail": "数据不符合标准表字段长度约束"
      },
      {
        "caseName": "数据长度验证",
        "source": "综合服务",
        "tableName": "mdiy_model",
        "trueColumn": "model_table_name",
        "tableErrorCount": "185",
        "notDetail": "数据不符合标准表字段长度约束"
      }
    ],
    "consistent": [
      {
        "ruleName": "数据值域验证",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime":  "12096",
        "checkTotalCount": "130264",
        "checkErrorCount": "2054"
      },
      {
        "ruleName": "数据值域验证",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime":  "1465",
        "checkTotalCount": "15621",
        "checkErrorCount": "1229"
      }
    ],
    "no_consistent": [
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_activity_info_config",
        "trueColumn": "jump_type",
        "tableErrorCount": "145",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_activity_info_config",
        "trueColumn": "activity_def_type",
        "tableErrorCount": "269",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_activity_rule",
        "trueColumn": "rule_type",
        "tableErrorCount": "63",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_application",
        "trueColumn": "type_",
        "tableErrorCount": "126",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_dict",
        "trueColumn": "status",
        "tableErrorCount": "329",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_doc_audit_apply",
        "trueColumn": "audit_type",
        "tableErrorCount": "296",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_doc_audit_apply",
        "trueColumn": "biz_type",
        "tableErrorCount": "191",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_doc_audit_detail",
        "trueColumn": "doc_type",
        "tableErrorCount": "394",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "智瑞服务",
        "tableName": "t_wf_doc_share_strategy_auditor",
        "trueColumn": "auditor_type",
        "tableErrorCount": "241",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "综合服务",
        "tableName": "cms_content",
        "trueColumn": "content_type",
        "tableErrorCount": "249",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "综合服务",
        "tableName": "cms_content",
        "trueColumn": "cms_type",
        "tableErrorCount": "196",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "综合服务",
        "tableName": "manager",
        "trueColumn": "manager_type",
        "tableErrorCount": "246",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "综合服务",
        "tableName": "mdiy_dict",
        "trueColumn": "dict_type",
        "tableErrorCount": "329",
        "notDetail": "数据不符合标准值域范围"
      },
      {
        "caseName": "数据值域验证",
        "source": "综合服务",
        "tableName": "mdiy_model",
        "trueColumn": "model_type",
        "tableErrorCount": "209",
        "notDetail": "数据不符合标准值域范围"
      }
    ],
    "regular": [
      {
        "ruleName": "数据正则表达式验证",
        "ruleSourceName": "智瑞服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime":  "14989",
        "checkTotalCount": "130264",
        "checkErrorCount": "8441"
      },
      {
        "ruleName": "数据正则表达式验证",
        "ruleSourceName": "综合服务",
        "ruleTableName": "全表",
        "version": "1.0",
        "checkTotalTime":  "1699",
        "checkTotalCount": "15621",
        "checkErrorCount": "848"
      }
    ],
    "no_regular": [
      {
        "caseName": "数据正则表达式验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_comment",
        "trueColumn": "action_",
        "tableErrorCount": "1269",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_detail",
        "trueColumn": "duration_",
        "tableErrorCount": "2156",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_actinst",
        "trueColumn": "proc_title",
        "tableErrorCount": "2497",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "智瑞服务",
        "tableName": "t_wf_hi_taskinst",
        "trueColumn": "proc_title",
        "tableErrorCount": "2519",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "综合服务",
        "tableName": "mdiy_model",
        "trueColumn": "model_name",
        "tableErrorCount": "339",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "综合服务",
        "tableName": "mdiy_tag",
        "trueColumn": "tag_class",
        "tableErrorCount": "212",
        "notDetail": "数据不符合标准正则表达式约束"
      },
      {
        "caseName": "数据正则表达式验证",
        "source": "综合服务",
        "tableName": "role_model",
        "trueColumn": "role_name",
        "tableErrorCount": "297",
        "notDetail": "数据不符合标准正则表达式约束"
      }
    ]
  },
  "dataReport": {
    "reportTableData1": [
      {
        "ruleSourceId": 1,
        "ruleSourceName": "综合服务",
        "tableSum": "15621",
        "tableTime": "6,358",
        "ruleLevelName": "1.0",
        "checkErrorCount": "2,540"
      },
      {
        "ruleSourceId": 1,
        "ruleSourceName": "智瑞服务",
        "tableSum": "130264",
        "tableTime": "54,147",
        "ruleLevelName": "1.0",
        "checkErrorCount": "13,255"
      }
    ],
    "reportTableData2": [
      {
        "checkErrorCount": 841,
        "ruleTypeId": "1",
        "ruleLevelName": "中",
        "ruleName": "完整性标准检测"
      },
      {
        "checkErrorCount": 2382,
        "ruleTypeId": "1",
        "ruleLevelName": "中",
        "ruleName": "准确性标准检测"
      },
      {
        "checkErrorCount": 3283,
        "ruleTypeId": "1",
        "ruleLevelName": "中",
        "ruleName": "一致性标准检测"
      },
      {
        "checkErrorCount": 9289,
        "ruleTypeId": "1",
        "ruleLevelName": "中",
        "ruleName": "正则表达式标准检测"
      }
    ]
  },
  "checkTotalCount": "145885",
  "checkTimeConsuming": "60505",
  "checkErrorCount": "15795"
}

